Lấy danh sách các lớp học
curl --request GET \
--url https://api.fireant.vn/academy/classes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/academy/classes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/academy/classes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"classId": 123,
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"course": {
"courseId": 123,
"name": "<string>",
"duration": 123,
"lessonsAmount": 123,
"timetable": "<string>",
"description": "<string>",
"content": "<string>",
"objective": "<string>",
"level": "<string>",
"fee": 123,
"subject": {
"subjectId": 123,
"name": "<string>"
},
"isHot": true,
"image": "aSDinaTvuI8gbWludGxpZnk=",
"introduction": "<string>",
"isOnline": true,
"classId": 123,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"lessons": [
{
"lessonId": 123,
"lessonName": "<string>",
"hasAttachedFile": true,
"content": "<string>",
"videoUrl": "<string>",
"courseId": 123,
"positionIndex": 123,
"course": "<unknown>"
}
],
"type": 0,
"benefit": "<string>",
"revenueCatId": "<string>"
},
"status": 0,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"type": 0
}
]Academy
Lấy danh sách các lớp học
GET
/
academy
/
classes
Lấy danh sách các lớp học
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
academy-read
Đọc dữ liệu các khóa học
Tham số truy vấn
Trạng thái lớp học (0: chưa diễn ra, 1: đang tuyển sinh, 2: đã kết thúc, mặc định là 1)
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
Show child attributes
Show child attributes
(NotYet = Chưa bắt đầu, Ongoing = Đang diễn ra, Finished = Đã kết thúc)
Tùy chọn có sẵn:
0, 1, 2 Show child attributes
Show child attributes
(Learning = Khóa học, Seminar = Hội thảo)
Tùy chọn có sẵn:
0, 1